.btn {
    border: none;
    outline: none;
    cursor: pointer;
    height: rem(44);
    font-weight: 500;
    font-size: rem(15);
    min-width: rem(206);
    line-height: rem(20);
    border-radius: rem(10);
    padding: rem(4) rem(24);
    text-decoration: none;
    font-family: var(--font-secondary);
    display: inline-flex;
    align-items: center;
    justify-content: center;
    transition: var(--transition-time);

    @include media-breakpoint-up(md) {
        font-size: rem(17);
    }
}

.btn-gray {
    color: #85959E;
    background: var(--gray-200);

    &:hover {
        color: white;
        background: var(--green);
        transition: var(--transition-time);
    }

    &:active {
        color: #85959E;
        background: var(--gray-200);
    }
}

.btn-green {
    color: white;
    background: var(--green);

    &:hover {
        color: white;
        background: #00c56e;
        transition: var(--transition-time);
    }

    &:active {
        color: white;
        background: var(--green);
    }

    &.disabled,
    &:disabled {
        color: #85959E !important;
        cursor: default;
        background: var(--gray-200) !important;
    }
}

.btn-red {
    color: white;
    background: var(--red);

    &:hover {
        color: white;
        background: #ff3700;
        transition: var(--transition-time);
    }

    &:active {
        color: white;
        background: var(--red);
    }

    &.disabled,
    &:disabled {
        color: #85959E !important;
        cursor: default;
        background: var(--gray-200) !important;
    }
}

.btn-outline {
    color: var(--black);
    background: transparent;
    border: 1px solid #E3E5DB;

    &:hover {
        color: var(--black);
        background: #E3E5DB;
    }

    &:active {
        color: var(--black);
        background: transparent;
    }
}

.btn-sm {
    min-width: inherit;
    padding: rem(4) rem(16);

    @include media-breakpoint-up(md) {
        font-size: rem(15);
    }
}

.btn-md {
    height: rem(48);
}

.btn-link {
    margin: 0;
    padding: 0;
    border: none;
    outline: none;
    color: var(--black);
    font-size: rem(15);
    line-height: rem(18);
    cursor: pointer;
    display: inline-flex;
    background: transparent;
    text-decoration: underline;

    &:hover {
        color: var(--black);
        text-decoration: none;
    }
}
